# Get editor completions based on the config schema
"$schema" = 'https://starship.rs/config-schema.json'

add_newline = false
palette = "solarized_light"
command_timeout = 1000

# Customize your prompt to ensure everything is on a single line
format = """\
    $directory\
    $git_branch\
    $git_status\
    $container\
    $conda\
    $character\
    """

right_format = """\
    $cmd_duration\
"""

# Git branch configuration
[git_branch]
format = "[$branch(:$remote_branch)]($style)"
style = "bold red"

# Git status configuration
[git_status]
format = '[$all_status]($style)'
style = "bold green"

# Git metric configuration
[git_metrics]
format = '([$added]($added_style) )([$deleted]($deleted_style))'
added_style = "green"
deleted_style = "red"
disabled = false

# Configure the overall look of the prompt
[character]
success_symbol = "[ ❯](bold green)"
error_symbol = "[ ✗](bold red)"

# Directory
[directory]
style = "bright-cyan"
truncation_length = 3
truncation_symbol = "…/"

[line_break]
disabled = true

[jobs]
symbol = '+ '
number_threshold = 4
symbol_threshold = 0

[cmd_duration]
format = "[$duration]($style)"
style = "yellow"

# Package version
[package]
style = "purple"

# Container
[container]
format = '[$name]'
style = "orange"

# Conda
[conda]
format = "[$environment]"
style = "green"

# Python
[python]
pyenv_version_name = true
format = "[$version]($style)"
style = "blue"

# Golang
[golang]
format = "[$version]($style)"
style = "blue"

# Rust
[rust]
format = "[$version]($style)"
style = "purple"

# Lua
[lua]
format = "[$version]($style)"
style = "purple"

# Directory substitutions
[directory.substitutions]
"Documents/projects" = "proj"
".config" = "config"

# Monokai Pro palette
[palettes.monokai_pro]
rosewater = "#f1ebeb"
flamingo = "#dc2566"
pink = "#fa2772"
mauve = "#9358fe"
red = "#dc2566"
maroon = "#8fc029"
peach = "#d4c96e"
yellow = "#e7db75"
green = "#a7e22e"
teal = "#56b7a5"
sky = "#66d9ee"
sapphire = "#66efd5"
blue = "#55bcce"
lavender = "#ae82ff"
text = "#f8f8f2"
subtext1 = "#acada1"
subtext0 = "#76715e"
overlay2 = "#cfd0c2"
overlay1 = "#76715e"
overlay0 = "#48483e"
surface2 = "#272822"
surface1 = "#48483e"
surface0 = "#272822"
base = "#272822"
mantle = "#272822"
crust = "#272822"

# Solarized light palette
[palettes.solarized_light]
rosewater = "#fdf6e3"
flamingo = "#dc322f"
pink = "#dc322f"
mauve = "#6c71c4"
red = "#dc322f"
maroon = "#b58900"
peach = "#b58900"
yellow = "#b58900"
green = "#859900"
teal = "#2aa198"
sky = "#268bd2"
sapphire = "#268bd2"
blue = "#268bd2"
lavender = "#6c71c4"
text = "#586e75"
subtext1 = "#657b83"
subtext0 = "#93a1a1"
overlay2 = "#93a1a1"
overlay1 = "#657b83"
overlay0 = "#002b36"
surface2 = "#fdf6e3"
surface1 = "#fdf6e3"
surface0 = "#fdf6e3"
base = "#fdf6e3"
mantle = "#fdf6e3"
crust = "#fdf6e3"

